Moodle for mobile

Error installing "phonegap-plugin-push" for ios

 
Picture of Olalekan Adeniyi
Error installing "phonegap-plugin-push" for ios
 

I have been battling with this for almost 48hrs now and nothing seems to be working. Since the update to 3.4.0 just yesterday, The below is the error I have been getting. Anyone with same error and how to fix please, trust me I have checked and tried all fixes anyone mentioned so far online in different forums, either to install another version of cocoapods or so many other fixes.

Please anyone with similar problems that got it to work please, This is very urgent.

Thanks

ERROR

Installing "phonegap-plugin-push" for ios

Failed to install 'phonegap-plugin-push':Error: pod: Command failed with exit code 1

    at ChildProcess.whenDone (/Users/Olalekan/Desktop/saintpeters/platforms/ios/cordova/node_modules/cordova-common/src/superspawn.js:169:23)

    at emitTwo (events.js:106:13)

    at ChildProcess.emit (events.js:191:7)

    at maybeClose (internal/child_process.js:877:16)

    at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)

Failed to restore plugin "phonegap-plugin-push" from config.xml. You might need to try adding it again. Error: Error: pod: Command failed with exit code 1


 
Average of ratings: -
Picture of Olalekan Adeniyi
Re: Error installing "phonegap-plugin-push" for ios
 

I have finally got this to work..Thanks all

 
Average of ratings: -
Picture of deva m
Re: Error installing "phonegap-plugin-push" for ios
 

But how ? it started working....

kindly brief it..

 
Average of ratings: -